<?php
class objednavkaController extends baseController {

	function __construct() {

    $this->controller_name = 'Objednávka';
    $this->controller_fname = 'objednavka';
    $this->controller_info  = 'Objednávka';
    $this->entita_classname = 'Objednavka';
    parent::__construct();

  }

  public function adresyLogin() {
  	
  	$form_id = 'AdresaObjednavky';
    $adresa = new Adresa();
    
    if ($this->registry->form_send) {
    	if (intval($_POST['fakturacni']) > 0 AND intval($_POST['dodaci'])) {
    		$this->registry->kosik->id_fakturacni = $_POST['fakturacni'];
    		$this->registry->kosik->id_dodaci = $_POST['dodaci'];
    		Tools::redirect(Tools::controllerlink($this->controller_fname, 'doprava'));
    	}
    	else {
    		Tools::setMessage('Vyberte fakturační a dodací adresu!');
    	}
    }

    $form = new Form($form_id);
     $form->openFieldset('Fakturační a doručovací adresa');
    $form->addLabel('Fakturační adresa');
    $form->openSelect('fakturacni', $this->registry->kosik->id_fakturacni);
    $result = dibi::query('SELECT ID, 
    		IF(isnull(NAZEV_FIRMY), CONCAT(JMENO," ",PRIJMENI,", ",OBEC," ", ULICE," ", CISLO_POPISNE),
    		CONCAT(NAZEV_FIRMY," - ",JMENO," ",PRIJMENI,", ",OBEC," ", ULICE," ", CISLO_POPISNE)) AS ADRESA 
    	FROM ADRESA WHERE ID_UZIV = %i;', $this->registry->user->id);
		foreach($result as $item) {
			$form->addOption($item['ID'],$item['ADRESA']);
		}
		$form->closeSelect(true);
		$form->addTag('br');
		$form->addLabel('Dodací adresa');
    $form->openSelect('dodaci', $this->registry->kosik->id_dodaci);
		foreach($result as $item) {
			$form->addOption($item['ID'],$item['ADRESA']);
		}
		$form->closeSelect(true);
		if ($this->registry->kosik->doprava_zdarma) {
			$form->addInnerHTML('<br /><div class="a_c">Vaše objednávka Vám bude dopravena zdarma!</div>');
		}
		$form->closeFieldset();
		$form->openTag('div', array('class' => 'bb_c'));
    $form->addInput('submit','uloz', 'Pokračovat',array('class' => 'blue_120'));
    $form->closeTag('div');
    $form->closeFieldset();
    
  	$this->html = '<h1>1/3 Fakturační a doručovací adresa</h1>';
    $this->html .= $form->get();
		$this->setView();

  }

  public function adresy($args) {
  	
  	if ($this->registry->user->login) {
  		return $this->adresyLogin();
  	}

		$form_id = 'Registrace';
    $adresa = new Adresa();

  	if ($this->registry->form_send) {
    	if ($_POST['z_f'] == 'firma') {
    		$_POST['id_skup'] = 3;
    	}
    	else {
    		$_POST['id_skup'] = 2;
    	}
    	$_POST['stav'] = 1;
    	
    	$fakturacni_adresa = $_POST;

    	if (Validate::entita($adresa,true) !== false) {
    		$adresa->setFromPost();
    	  $this->registry->kosik->adresa_fakturacni = $adresa->toArray();

    		if (@$_POST['dodaci_stejna'] != 'on') {
    			$_POST = $_POST['dodaci'];
    			if ($_POST['z_f'] == 'firma') {
        		$_POST['id_skup'] = 3;
        	}
        	else {
        		$_POST['id_skup'] = 2;
        	}
        	$_POST['stav'] = 1;
        	$dodaci_adresa = $_POST;
        	
					$adresa2 = new Adresa();
    			if (Validate::entita($adresa2,true) !== false) {
						$adresa2->setFromPost();
    				$this->registry->kosik->adresa_dodaci = $adresa2->toArray();
    				Tools::redirect(Tools::controllerlink($this->controller_fname, 'doprava'));
    			}
    		  else {
        		$valid_err = Validate::error();
        		Tools::setMessage('Špatně vyplněné údaje - Dodací adresa'.$valid_err, 'err_mess', CSS_ERR);
      		}
  			}
  			else {
  				$this->registry->kosik->adresa_dodaci = array();
  				Tools::redirect(Tools::controllerlink($this->controller_fname, 'doprava'));
  			}
    	}
  	  else {
        $valid_err = Validate::error();
        Tools::setMessage('Špatně vyplněné údaje - Fakturační adresa'.$valid_err, 'err_mess', CSS_ERR);
      }
  	}

  	$this->registry->jscript->addScript('
    $("#firma_form").hide();
    $("#z_f_zakaznik").attr("checked","checked");
    
    $("#z_f_zakaznik").click(
    	function (){
    		$("#firma_form").hide("slow");
    	}
    )	
    
    $("#z_f_firma").click(
    	function (){
    		$("#firma_form").show("slow");
    	}
    )
    ', 'document_ready');
  	
  	$this->registry->jscript->addScript('
    $("#d_firma_form").hide();
    if (rozbalit != true) {
    	$("#dodaci_adresa").hide();
    }
    $("#d_z_f_zakaznik").attr("checked","checked");
    
    $("#dodaci_stejna").click(
    	function (){
    		$("#dodaci_adresa").toggle("slow");
    	}
    );
    
    $("#d_z_f_zakaznik").click(
    	function (){
    		$("#d_firma_form").hide("slow");
    	}
    )	
    
    $("#d_z_f_firma").click(
    	function (){
    		$("#d_firma_form").show("slow");
    	}
    )
    ', 'document_ready');


    $form = new Form($form_id);
    if (isset($fakturacni_adresa)) {
    	$form->setValue($fakturacni_adresa);
    }
    else {
    	$form->setValue($this->registry->kosik->adresa_fakturacni);
    }
    $form->openFieldset('Fakturační adresa');
    $form->openTag('div', array('class' => 'bb_c'));
    $form->addInput('radio', 'z_f_zakaznik', 'zakaznik', array('name' => 'z_f', 'checked' => 'checked'));
    $form->addLabel('koncový zákazník ','z_f_zakaznik', array('class' => 'after_input'));
    $form->addInput('radio', 'z_f_firma', 'firma', array('name' => 'z_f'));
    $form->addLabel('firma','z_f_firma', array('class' => 'after_input'));
    $form->closeTag('div');
    $form->addLabel('Titul', 'titul');
    $form->addInput('text', 'titul', MY, array(), $adresa->validate['titul'], true);
    $form->addLabel('Jméno', 'jmeno');
    $form->addInput('text', 'jmeno', MY, array(), $adresa->validate['jmeno'], true);
    $form->addLabel('Příjmení', 'prijmeni');
    $form->addInput('text', 'prijmeni', MY, array(), $adresa->validate['prijmeni'], true);

		$form->openTag('div', array('id' => 'firma_form'));
    $form->addLabel('Firma', 'nazev_firmy', array(), 'Vyplňte pouze pokud se jedná o firmu. Do kolonek Jméno a Příjmení vyplňte údaje o kontaktní osobě');
    $form->addInput('text', 'nazev_firmy', MY, array(), $adresa->validate['nazev_firmy'], true);
    $form->addLabel('IČO', 'ico', array(), 'Pouze pokud se jedná o firmu.');
    $form->addInput('text', 'ico', MY, array(), $adresa->validate['ico'], true);
    $form->addLabel('DIČO', 'dic', array(), 'Pouze pokud se jedná o firmu.');
    $form->addInput('text', 'dic', MY, array(), $adresa->validate['dic'], true);
		$form->closeTag();
    $form->addTag('br');
    $form->addLabel('Kontaktní e-mail', 'kontakt_mail');
    $form->addInput('text', 'kontakt_mail', MY, array(), $adresa->validate['kontakt_mail'], true);
    $form->addLabel('Telefon', 'kontakt_telefon');
    $form->addInput('text', 'kontakt_telefon', MY, array(), $adresa->validate['kontakt_telefon'], true); 
    $form->addLabel('Ulice', 'ulice', array(), 'Pokud obec nemá ulice, napište do pole název obce');
    $form->addInput('text', 'ulice', MY, array(), $adresa->validate['ulice'], true);
    $form->addLabel('Č.p.', 'cislo_popisne', array(), 'Číslo popisné, případně Orientační číslo/ Číslo popisné');
    $form->addInput('text', 'cislo_popisne', MY, array(), $adresa->validate['cislo_popisne'], true); 
    $form->addLabel('Obec', 'obec');
    $form->addInput('text', 'obec', MY, array(), $adresa->validate['obec'], true);
    $form->addLabel('PSČ', 'psc');
    $form->addInput('text', 'psc', MY, array(), $adresa->validate['psc'], true); 
    
    $form->openTag('div', array('class' => 'bb_c'));
    if (isset($dodaci_adresa)) {
    	$this->registry->jscript->addScript('var rozbalit = true;');
    	$form_value = array();
    	foreach($dodaci_adresa as $key=>$value) {
    		$form_value['d_'.$key] = $value;
    	}
    	$form->setValue($form_value);
    	$form->addInput('checkbox', 'dodaci_stejna', false, array('name' => 'dodaci_stejna'));
    }
    elseif (count($this->registry->kosik->adresa_dodaci) > 0) {

    	$this->registry->jscript->addScript('var rozbalit = true;');
    	$dodaci_adresa = $this->registry->kosik->adresa_dodaci;	
			$form_value = array();
    	foreach($dodaci_adresa as $key=>$value) {
    		$form_value['d_'.$key] = $value;
    	}
    	$form->setValue($form_value);
    	$form->addInput('checkbox', 'dodaci_stejna', false, array('name' => 'dodaci_stejna'));
    }
    else {	
    	$this->registry->jscript->addScript('var rozbalit = false;');
    	$form->addInput('checkbox', 'dodaci_stejna', 'checked', array('name' => 'dodaci_stejna'));
    }

    $form->addLabel('Dodací adresa je stejná jako fakturační ','dodaci_stejna', array('class' => 'after_input'));
		$form->closeTag();
		$form->closeFieldset();

		$form->openTag('div', array('id' => 'dodaci_adresa'));
    $form->openFieldset('Dodací adresa');
    $form->openTag('div', array('class' => 'bb_c'));
    $form->addInput('radio', 'd_z_f_zakaznik', 'zakaznik', array('name' => 'dodaci[z_f]', 'checked' => 'checked'));
    $form->addLabel('koncový zákazník ','d_z_f_zakaznik', array('class' => 'after_input'));
    $form->addInput('radio', 'd_z_f_firma', 'firma', array('name' => 'dodaci[z_f]'));
    $form->addLabel('firma','d_z_f_firma', array('class' => 'after_input'));
    $form->closeTag('div');
    $form->addLabel('Titul', 'd_titul');
    $form->addInput('text', 'd_titul', MY, array('name' => 'dodaci[titul]'),array(), true);
    $form->addLabel('Jméno', 'd_jmeno');
    $form->addInput('text', 'd_jmeno', MY, array('name' => 'dodaci[jmeno]'), array(), true);
    $form->addLabel('Příjmení', 'd_prijmeni');
    $form->addInput('text', 'd_prijmeni', MY, array('name' => 'dodaci[prijmeni]'), array(), true);

		$form->openTag('div', array('id' => 'd_firma_form'));
    $form->addLabel('Firma', 'd_nazev_firmy', array(), 'Vyplňte pouze pokud se jedná o firmu. Do kolonek Jméno a Příjmení vyplňte údaje o kontaktní osobě');
    $form->addInput('text', 'd_nazev_firmy', MY, array('name' => 'dodaci[nazev_firmy]'), array(), true);
    $form->addLabel('IČO', 'd_ico', array(), 'Pouze pokud se jedná o firmu.');
    $form->addInput('text', 'd_ico', MY, array('name' => 'dodaci[ico]'), array(), true);
    $form->addLabel('DIČO', 'd_dic', array(), 'Pouze pokud se jedná o firmu.');
    $form->addInput('text', 'd_dic', MY, array('name' => 'dodaci[dic]'), array(), true);
		$form->closeTag('div');
    $form->addTag('br');
    $form->addLabel('Kontaktní e-mail', 'kontakt_mail');
    $form->addInput('text', 'd_kontakt_mail', MY, array('name' => 'dodaci[kontakt_mail]'), array(), true);
    $form->addLabel('Telefon', 'd_kontakt_telefon');
    $form->addInput('text', 'd_kontakt_telefon', MY, array('name' => 'dodaci[kontakt_telefon]'), array(), true); 
    $form->addLabel('Ulice', 'd_ulice', array(), 'Pokud obec nemá ulice, napište do pole název obce');
    $form->addInput('text', 'd_ulice', MY, array('name' => 'dodaci[ulice]'), array(), true);
    $form->addLabel('Č.p.', 'd_cislo_popisne', array(), 'Číslo popisné, případně Orientační číslo/ Číslo popisné');
    $form->addInput('text', 'd_cislo_popisne', MY, array('name' => 'dodaci[cislo_popisne]'), array(), true); 
    $form->addLabel('Obec', 'd_obec');
    $form->addInput('text', 'd_obec', MY, array('name' => 'dodaci[obec]'), array(), true);
    $form->addLabel('PSČ', 'd_psc');
    $form->addInput('text', 'd_psc', MY, array('name' => 'dodaci[psc]'), array(), true); 
    $form->closeTag('div');

    $form->openTag('div', array('class' => 'bb_c'));
    $form->addInput('reset','reset', 'Smazat', array('class' => 'blue_120'));
    $form->addInput('submit','uloz', 'Pokračovat', array('class' => 'blue_120'));
    
    $form->closeTag();
    $form->closeFieldset();
    $form->closeForm();
    
    $this->html = '<h1>1/3 Fakturační a doručovací adresa</h1>';
    $this->html .= '<p>Nyní se můžete přihlásit, nebo registrovat.<br />
			Registrovaní uživatelé mají možnost sledovat stav objednávky a historii objednávek.</p>
			<p>Pokud v našem obchodě namáte zřízený účet a nechcete se registrovat, vyplňte následující údaje</p>';
    $this->html .= $form->get();
		$this->setView();

  }

  public function doprava($args) {

  	$form_id = 'ZpusobDopravy';

		if ($this->registry->form_send) {
			if (isset($_POST['uloz'])) {
  			if (!empty($_POST['id_dop'])) {
  				$this->registry->kosik->id_doprava = $_POST['id_dop'];
  				$result = dibi::query('SELECT * FROM DOPRAVA WHERE ID = %i', $_POST['id_dop']);
  				$doprava = $result->fetchAll();
  				$this->registry->kosik->doprava = $doprava[0]->getArrayCopy();

  				if ($this->registry->kosik->doprava_zdarma) {
  					$this->registry->kosik->doprava['DOPRAVA'] = 0;  					
  				}

  				Tools::redirect(Tools::controllerlink($this->controller_fname, 'prehled'));
  			}
  			else {
  				Tools::setMessage('Vyberte způsob dopravy', CSS_ERR);
  			}
			}
			elseif ($_POST['zmen']) {
				Tools::redirect(Tools::controllerlink($this->controller_fname, 'adresy'));
			}
  	}
  	
    $form = new Form($form_id);
    $form->openFieldset('Způsob dopravy');
    $form->addLabel('Vyberte');
    $form->openSelect('id_dop', $this->registry->kosik->id_doprava);
    $result = dibi::query('SELECT ID, NAZEV, 
    	if ('.intval($this->registry->kosik->doprava_zdarma).' = 1, 0 , CENA) AS CENA 
    	FROM DOPRAVA ORDER BY NAZEV');
		foreach($result as $item) {
			$form->addOption($item['ID'],$item['NAZEV'].'&nbsp;&nbsp;&nbsp;('.$item['CENA'].')');
		}
		$form->closeSelect(true);
		if ($this->registry->kosik->doprava_zdarma) {
			$form->addInnerHTML('<br /><div class="a_c">Vaše objednávka Vám bude dopravena zdarma!</div>');
		}
		$form->closeFieldset();
		$form->openTag('div', array('class' => 'bb_c'));
    $form->addInput('submit','uloz', 'Pokračovat',array('class' => 'blue_120'));
    $form->closeTag('div');
    $form->closeFieldset();
    
  	$this->html = '<h1>2/3 Způsob doručení</h1>';
    $this->html .= $form->get();
		$this->setView();

  }
  
  public function prehled($args) {

  	if ($this->registry->form_send) {
  		if (isset($_POST['uloz'])) {
					dibi::begin();
				if (empty($this->registry->kosik->id_fakturacni)) {
					$adresa = new Adresa();
					if (count($this->registry->kosik->adresa_fakturacni) == 0 ) {
						dibi::rollback();
						Tools::controllerlink($this->controller_fname, 'adresy');
					}
					else {
						$_POST = $this->registry->kosik->adresa_fakturacni;
						$adresa->setFromPost();
						$adresa->insert();
						$this->registry->kosik->id_fakturacni = $adresa->id;
						
						if (count($this->registry->kosik->adresa_dodaci) > 0 ) {
							$adresa2 = new Adresa();
							$_POST = $this->registry->kosik->adresa_dodaci;
							$adresa2->setFromPost();
							$adresa2->insert();
							$this->registry->kosik->id_dodaci = $adresa2->id;
						}
						else {
							$this->registry->kosik->id_dodaci = $adresa->id;
						}
					}
				}
				try {
  				// adresy jsou OK
  				$kosik = $this->registry->kosik;
  				$objednavka = new Objednavka();
  				$objednavka->id_uziv = $this->registry->user->id;
  				$objednavka->id_adr_doruc = $kosik->id_dodaci;
  				$objednavka->id_adr_fakt = $kosik->id_fakturacni;
  				$objednavka->id_dop 	= $kosik->id_doprava;
  				$objednavka->cena_dop	= $kosik->doprava['CENA'];
  				$objednavka->insert();
  				$kosik->doObjednavky($objednavka->id);
  				dibi::commit();
  				if ($objednavka->id_uziv == 1) {
  					$hash = $this->registry->overeni_link = $objednavka->overLink();
//odkaz pro aktivaci            		
$this->registry->addPersistent('over_link','<p>Odkaz: '.Tools::controllerlink('objednavka','overeni',array($objednavka->id, $hash)).'</p>',1);  					
  				}
  				$kosik->smazat();
  				Tools::setMessage('Vaše objednávka byla uložena.', '', 1);
				}
  			catch(Appliexception $e) {
  				dibi::rollback();
  				throw new Exception();
  			}

				if ($objednavka->id_uziv != 1) {
					Tools::redirect(Tools::controllerlink('objednavky', 'seznam'));
				}
				else {
					Tools::redirect(Tools::controllerlink('objednavka', 'kpotvrzeni'));
				}
  		}
  		elseif ($_POST['zmen']) {
  			Tools::redirect(Tools::controllerlink($this->controller_fname, 'adresy'));
  		}
  	}

  	$form_id = 'PotvrzeniObjednavky';

    $form = new Form($form_id);
		$form->openTag('div', array('class' => 'bb_l'));
		$form->addInput('submit','zmen', 'Změnit údaje', array('class' => 'blue_120'));
    $form->addInput('submit','uloz', 'Potvrdit', array('class' => 'blue_120'));
    $form->closeTag('div');

  	$this->html = '';

  	if (!empty($this->registry->kosik->id_fakturacni)) {
    	$result = dibi::query('SELECT * FROM ADRESA WHERE ID IN (%i,%i) AND ID_UZIV = %i',
    		$this->registry->kosik->id_fakturacni,
    		$this->registry->kosik->id_dodaci,
    		$this->registry->user->id);
    	foreach($result as $item) {
    		if ($item['ID'] == $this->registry->kosik->id_fakturacni) {
      			$fakturacni_html = '<div class="adresa">
      					<h1> Fakturační adresa</h1>
      					<div class="adr_box">
            		<h2 class="a_l">'.$item['TITUL'].' '.$item['JMENO'].' '.$item['PRIJMENI'].'</h2>
            		<b>Ulice a č.p.:</b> '.$item['ULICE'].' '.$item['CISLO_POPISNE'].'<br />
            		<b>Město:</b> '.$item['OBEC'].'<br />
            		<b>PSČ:</b> '.$item['PSC'].'<br />
            		<br />'.(empty($item['NAZEV_FIRMY'])? '' : '<b>Firma:</b> '.$item['NAZEV_FIRMY'].'<br />
            		<b>IČ:</b> '.$item['ICO'].'<br /><b>DIČ:</b> '.$item['DIC'].'<br /><br />').'        		
            		<b>Kontaktní e-mail:</b><br />'.$item['KONTAKT_MAIL'].'<br />
            		<b>Mobil:</b> '.$item['KONTAKT_TELEFON'].'<br /><br />
            		</div>
    					</div>';
      		}
      	  if ($item['ID'] == $this->registry->kosik->id_dodaci) {
      			$dodaci_html = '<div class="adresa">
      					<h1> Dodací adresa</h1>
      					<div class="adr_box">
            		<h2 class="a_l">'.$item['TITUL'].' '.$item['JMENO'].' '.$item['PRIJMENI'].'</h2>
            		<b>Ulice a č.p.:</b> '.$item['ULICE'].' '.$item['CISLO_POPISNE'].'<br />
            		<b>Město:</b> '.$item['OBEC'].'<br />
            		<b>PSČ:</b> '.$item['PSC'].'<br />
            		<br />'.(empty($item['NAZEV_FIRMY'])? '' : '<b>Firma:</b> '.$item['NAZEV_FIRMY'].'<br />
            		<b>IČ:</b> '.$item['ICO'].'<br /><b>DIČ:</b> '.$item['DIC'].'<br /><br />').'        		
            		<b>Kontaktní e-mail:</b><br />'.$item['KONTAKT_MAIL'].'<br />
            		<b>Mobil:</b> '.$item['KONTAKT_TELEFON'].'<br /><br />
            		</div>
    					</div>';
      		}
      	}
  		}
  		else {
  			$item = $this->registry->kosik->adresa_fakturacni;
    		$fakturacni_html = '<div class="adresa">
  					<h1> Fakturační adresa</h1>
  					<div class="adr_box">
        		<h2 class="a_l">'.@$item['titul'].' '.$item['jmeno'].' '.$item['prijmeni'].'</h2>
        		<b>Ulice a č.p.:</b> '.$item['ulice'].' '.$item['cislo_popisne'].'<br />
        		<b>Město:</b> '.$item['obec'].'<br />
        		<b>PSČ:</b> '.$item['psc'].'<br />
        		<br />'.(empty($item['nazev_firmy'])? '' : '<b>Firma:</b> '.$item['nazev_firmy'].'<br />
        		<b>IČ:</b> '.$item['ico'].'<br /><b>DIČ:</b> '.$item['dic'].'<br /><br />').'        		
        		<b>Kontaktní e-mail:</b><br />'.$item['kontakt_mail'].'<br />
        		<b>Mobil:</b> '.$item['kontakt_telefon'].'<br /><br />
        		</div>
					</div>';
    		
	    		if (!empty($this->registry->kosik->adresa_dodaci)) {
	    			$item = $this->registry->kosik->adresa_dodaci;
	    		}

     			$dodaci_html = '<div class="adresa">
  					<h1> Dodací adresa</h1>
  					<div class="adr_box">
        		<h2 class="a_l">'.@$item['titul'].' '.$item['jmeno'].' '.$item['prijmeni'].'</h2>
        		<b>Ulice a č.p.:</b> '.$item['ulice'].' '.$item['cislo_popisne'].'<br />
        		<b>Město:</b> '.$item['obec'].'<br />
        		<b>PSČ:</b> '.$item['psc'].'<br />
        		<br />'.(empty($item['nazev_firmy'])? '' : '<b>Firma:</b> '.$item['nazev_firmy'].'<br />
        		<b>IČ:</b> '.$item['ico'].'<br /><b>DIČ:</b> '.$item['dic'].'<br /><br />').'        		
        		<b>Kontaktní e-mail:</b><br />'.$item['kontakt_mail'].'<br />
        		<b>Mobil:</b> '.$item['kontakt_telefon'].'<br /><br />
        		</div>
					</div>';

  		}

  	$this->registry->template->setHTML('fakturacni', $fakturacni_html);
  	$this->registry->template->setHTML('dodaci', $dodaci_html);

    $rows = $this->registry->kosik->getArray();

  	if (count($rows) > 0) {

  		foreach($rows as $key=>$value) {
  			$rows[$key]['link'] = Tools::productLinkId($value['id']);
  			$rows[$key]['nazev'] = dibi::query('SELECT NAZEV FROM PRODUKT WHERE ID = %i', $value['id'])->fetchSingle();
  			$rows[$key]['cena'] = number_format($value['celkova_cena'],2,',',' ');
  			$rows[$key]['celkova_cena'] = number_format($value['mnozstvi'] * $value['celkova_cena'],2,',',' ');

  		}

  		$this->registry->template->set('kosik',$rows);
  		
  		$this->registry->template->set('doprava',$this->registry->kosik->doprava['NAZEV'],0,',', ' ');
  		$this->registry->template->set('doprava_cena',number_format($this->registry->kosik->doprava['CENA'],2,',', ' '));

  		$this->registry->template->set('celkovy_pocet',number_format($this->registry->kosik->celkovy_pocet,0,',', ' '));
  		$this->registry->template->set('celkova_cena',number_format($this->registry->kosik->celkova_cena + $this->registry->kosik->doprava['CENA'],2,',', ' '));

  		$this->registry->template->set('kosik_prazdny',false,true);
  	}
  	else {
  		$this->registry->template->set('kosik_prazdny',true,true);
  	}

    $this->html .= $form->get();
		$this->setView('prehled.tpl');
  }

  public function kpotvrzeni($args) {

  	$this->html = '<h1>Ověření objednávky</h1>';
    $this->html .= '<p>Vaše objednávka byla přijata. Protože však nejste registrovaným uživatelem, je nutné ji nejprve ověřit. 
    Pro ověření objednávky použijte odkaz, který Vám byl zaslán e-mailem.</p>';	
$this->html .= $this->registry->over_link;
		$this->setView();
  }

  public function overeni($args) {

  	if (count($args) == 2) {
    	$id = @$args[0];
  		$hash = @$args[1];
  		$result = dibi::query('SELECT SHA1(CONCAT(ID,"-",ID_UZIV,"-",DT_VYTVOREN,"OVERENI")) AS HASH FROM OBJEDNAVKA WHERE STAV = 2 AND ID = %i',$id);
 
  		if (count($result) > 0) {
  			$db_hash = $result->fetchSingle();
  			if ($hash == $db_hash) {
  				dibi::query('UPDATE OBJEDNAVKA SET STAV = 1 WHERE STAV = 2 AND ID = %i',$id);
  				Tools::setMessage('Vaše objednávka byla ověřena a zařazena do zpracování', '', 1);
  				Tools::redirect(URL);
  				die;
  			}
  			else {
  				Tools::redirect(Tools::controllerlink($this->controller_fname, 'stav', array(6)));
  			}
  		}
  		Tools::setMessage('Objednávka již byla ověřena', '', 1);
  		Tools::redirect(URL);
  		die;
  	}
  		Tools::redirect(URL);
  }

  public function treeNav() {

    $this->registry->template->set('is_tree_nav', true, true);
    $this->registry->template->set('akt_nazev', 'Objednávka');
//Debug::getVar($this->registry->template);
  }

}
?>